Show / Hide Table of Contents

# Class Response

Http(s) response object

##### Inheritance

Object
RequestResponseBase
Response
ConnectResponse
GenericResponse
OkResponse
RedirectResponse

##### Inherited Members

RequestResponseBase.BodyInternal
RequestResponseBase.OriginalIsBodyRead
RequestResponseBase.KeepBody
RequestResponseBase.HttpVersion
RequestResponseBase.Headers
RequestResponseBase.ContentLength
RequestResponseBase.ContentEncoding
RequestResponseBase.Encoding
RequestResponseBase.ContentType
RequestResponseBase.IsChunked
RequestResponseBase.Body
RequestResponseBase.BodyString
RequestResponseBase.IsBodyRead
RequestResponseBase.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    [TypeConverter(typeof(ExpandableObjectConverter))]
    public class Response : RequestResponseBase

### Constructors

#### Response()

Constructor.

##### Declaration

    public Response()

#### Response(Byte[])

Constructor.

##### Declaration

    public Response(byte[] body)

##### Parameters

Type | Name | Description
--- | --- | ---
Byte[] | body |

### Properties

#### ExpectationFailed

expectation failed returned by server?

##### Declaration

    public bool ExpectationFailed { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### HasBody

Has response body?

##### Declaration

    public override bool HasBody { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

##### Overrides

RequestResponseBase.HasBody

#### HeaderText

Gets the header text.

##### Declaration

    public override string HeaderText { get; }

##### Property Value

Type | Description
--- | ---
String |

##### Overrides

RequestResponseBase.HeaderText

#### Is100Continue

Is response 100-continue

##### Declaration

    public bool Is100Continue { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### KeepAlive

Keep the connection alive?

##### Declaration

    public bool KeepAlive { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

#### StatusCode

Response Status Code.

##### Declaration

    public int StatusCode { get; set; }

##### Property Value

Type | Description
--- | ---
Int32 |

#### StatusDescription

Response Status description.

##### Declaration

    public string StatusDescription { get; set; }

##### Property Value

Type | Description
--- | ---
String |